----------------------------------------------------------------------------------
-- Company: www.ghadeer.net
-- Engineer: Ghassan Bati
-- 
-- Create Date:    16:18:40 11/26/2007 
-- Module Name:    comparator - Behavioral 
----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

---- Uncomment the following library declaration if instantiating
---- any Xilinx primitives in this code.
--library UNISIM;
--use UNISIM.VComponents.all;

entity comparator is
    Port ( a : in  STD_LOGIC;
           b : in  STD_LOGIC;
           grater : out  STD_LOGIC;
           equal : out  STD_LOGIC;
           smaller : out  STD_LOGIC);
end comparator;

architecture Behavioral of comparator is

begin
		comparator:process (a,b)
		begin
			if (a>b) then
				grater <= '1';
				equal <= '0';
				smaller <= '0';
			elsif (a=b) then
				grater <= '0';
				equal <= '1';
				smaller <= '0';
			else
				grater <= '0';
				equal <= '0';
				smaller <= '1';
			end if;
		end process comparator;
end Behavioral;